comedi_calibrate(8)

NAME
comedi_calibrate - COMEDI calibration utility

SYNOPSIS
comedi_calibrate [-f /dev/comediN]

DESCRIPTION
comedi_calibrate is used to autocalibrate comedi devices. Some comedi devices have the ability to measure internal stable voltage references and control gains and offsets using programmable DACs. On these devices, comedi_calibrate determines the proper values to feed into the programmable calibration DACs. These calibration settings are then saved to a file, which can be fed to comedi_apply_calibration() and related functions.

If comedi_calibrate finds an existing calibration file, it will not perform a new calibration by default. It will simply read its calibration information from the file. This behaviour may be overridden with the --calibrate option, to force a new calibration to be performed.

After obtaining the calibration information for the board, comedi_calibrate will then apply a calibration setting appropriate for the specified subdevice, channel, and range (see the --subdevice , --channel , and --range options below). See the comedilib documentation for comedi_apply_calibration() for more information.

comedi_calibrate prints a lot of debugging information as it runs.

LIMITATIONS

comedi_calibrate only works on boards that it understands. For boards that are known to have autocalibration ability, but are not currently supported, comedi_calibrate will output basic debugging information that is useful for the author to add support for your device. Please send this output to him.

EXAMPLES

comedi_calibrate --file /dev/comediN
    If no default calibration for /dev/comediN already exists, perform a calibration and save results to default location.

comedi_calibrate --calibrate
    Perform a calibration, using existing calibration (if it exists) as starting point.

comedi_calibrate --reset --calibrate
    Perform a fresh calibration and save results to default location.

comedi_calibrate --no-calibrate --subdevice subd.BI--range range --save-file cal_file
    Apply calibration for subdevice subd, range range, using the settings in the calibration file cal_file.

OPTIONS

comedi_calibrate recognizes the following options:

-a aref, --aref aref
    Along with --channel, --range and --subdevice, this specifies which calibration you want comedi_calibrate leave applied to the board. The default is 0.

--[no-]calibrate
    Force calibration to be performed (or not). By default, comedi_calibrate will only perform a new calibration if no existing calibration file is found (see --save-file).

-c channel,--channel channel
    Along with --subdevice, --range and --aref, this specifies which calibration you want comedi_calibrate to leave applied to the board. The default is 0.

--[no-]dump
    Perform (or not) dump of various information about state of calibration prior to performing new calibration.

-f /dev/comediN,--file /dev/comediN
    Perform calibration on device /dev/comediN.

--help
    Print help for options then exit.

-q, --quiet
    Don't generate output to stdout.

-r range, --range range
    Along with --channel, --subdevice and --aref, this specifies which calibration you want comedi_calibrate to leave applied to the board. The default is 0.

--[no-]reset
    Reset (or don't reset) calibration subdevice to a reasonable starting point before performing calibration. The default is --no-reset. If --no-reset is used, the calibration routine will try to use an existing calibration (see --save-file) as a starting point. This is useful if a single calibration pass is not sufficient, and you wish to perform another calibration pass starting from the results of the previous pass.

--[no-]results
    Perform (or not) dump of various information about state of calibration after performing new calibration.

-S file, --save-file file
    Save calibration information to specified file, instead of default location. If the file already exists, comedi_calibrate will also use its contents as a starting point for the calibration pass (see --no-reset).

-s subdevice, --subdevice subdevice
    Along with --channel, --range and --aref, this specifies which calibration you want comedi_calibrate to leave applied to the board. The default is 0.

-v, --verbose
    Generate more verbose output to stdout, can be specified multiple times

SEE ALSO

comedi(7)

VERSION

0.7.x

AUTHOR

David Schleef, <ds@schleef.org>

Frank Mori Hess, <fmhess@users.sourceforge.net>